Create product
curl --request POST \
--url https://rawugc.com/api/v1/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Hydro Flask",
"photos": [
"https://example.com/product.jpg"
],
"messaging": "Stay hydrated in style"
}
'import requests
url = "https://rawugc.com/api/v1/products"
payload = {
"name": "Hydro Flask",
"photos": ["https://example.com/product.jpg"],
"messaging": "Stay hydrated in style"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Hydro Flask',
photos: ['https://example.com/product.jpg'],
messaging: 'Stay hydrated in style'
})
};
fetch('https://rawugc.com/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Products
Create product
Create a new product for video generation.
POST
/
products
Create product
Authorizations
Use your API key from the RawUGC dashboard. Include as: Authorization: Bearer YOUR_API_KEY
Body
application/json
Response
Product created
Was this page helpful?
⌘I

